package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.ValuePackSectionModel

interface ValuePackDetailInteractor {
    interface View {
        fun onResponseValuePackSucceed(valuePackSectionModel: ValuePackSectionModel)
        fun onResponseFailed(error: VolleyError)
    }

    interface Presenter {
        fun onLoadValuePack()
        fun onLoadFortunePack()
        fun onLoadSeatelAirlinePack()
        fun onLoadLanmeiAirlinePack()
    }

}